﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%= Html.Encode(ViewData["Message"]) %></h2>
        

	<%= Html.RadControlCss<RadComboBox>(control => control.Skin = "Vista")%>
	<%= Html.RadControlScripts<RadComboBox>() %>
	
    <%= Html.RadControlCss<RadTextBox>(control => control.Skin = "Vista")%>
	<%= Html.RadControlScripts<RadTextBox>() %>

    <!-- Date and Time pickers -->
    <%= Html.RadControlCss<RadCalendar>(control => control.Skin = "Vista")%>
	<%= Html.RadControlCss<RadDateInput>(control => control.Skin = "Vista")%>
	<%= Html.RadControlCss<RadTimeView>(control => control.Skin = "Vista")%>
	
	<%= Html.RadControlScripts<RadTimePicker>()%>
	<%= Html.RadControlScripts<RadDatePicker>()%>
	<%= Html.RadControlScripts<RadDateInput>()%>
	<%= Html.RadControlScripts<RadCalendar>()%>
		
	<%= Html.RadControl<RadDatePicker>((rad) =>
		{
			rad.ID = "StartDate";
            rad.SelectedDate = DateTime.Today;
            rad.Skin = "Vista";
            rad.ClientEvents.OnDateSelected = "StartDate_DateSelected";
		}) %>
		
	<%= Html.RadControl<RadTimePicker>((rad) =>
		{
            rad.ID = "StartTime";
            rad.SelectedDate = DateTime.Today.AddHours(1);
            rad.Skin = "Vista";
            rad.TimeView.Skin = "Vista";
            rad.ClientEvents.OnDateSelected = "StartDate_DateSelected";
		}) %>
		
	<%= Html.RadControl<RadDatePicker>((rad) =>
		{
            rad.ID = "EndDate";
            rad.SelectedDate = DateTime.Today;
            rad.Skin = "Vista";
            rad.ClientEvents.OnDateSelected = "EndDate_DateSelected";
		}) %>
		
	<%= Html.RadControl<RadTimePicker>((rad) =>
		{
            rad.ID = "EndTime";
            rad.SelectedDate = DateTime.Today.AddHours(1);
            rad.Skin = "Vista";
            rad.TimeView.Skin = "Vista";
            rad.ClientEvents.OnDateSelected = "EndDate_DateSelected";
		}) %>
				
<br />

	<%= Html.RadControl<RadTextBox>((rad) =>
		{   
			rad.ID = "Subject";
			rad.Columns = 30;
            rad.Skin = "Vista";
		}) %>  
		
    <%= Html.RadControl<RadComboBox>((rad) =>
		{
			rad.ID = "Values";
            rad.Skin = "Vista";
			rad.AllowCustomText = false;
		}) %>
		
    <%= Html.RadControl<RadTextBox>((rad) =>
					{
						rad.ID = "PurposeOfVisit";
						rad.Columns = 30;
						rad.Rows = 3;
                        rad.Skin = "Vista";
						rad.TextMode = InputMode.MultiLine;
					}) %>
<br />
	<%= Html.RadControl<RadDateTimePicker>((rad) =>
		{
            rad.ID = "TestDateTime";
            rad.SelectedDate = DateTime.Now;
            rad.Skin = "Vista";
            rad.TimeView.Skin = "Vista";
            rad.ClientEvents.OnDateSelected = "EndDate_DateSelected";
		}) %>
<br />

<button id="button1" value="button1" onclick="Button_click()">Button1</button>
    			
    					
<script type="text/javascript">
    function StartDate_DateSelected(sender, args) {
        alert("StartDate_DateSelected");
    }
    function StartTime_DateSelected(sender, args) {
        alert("StartTime_DateSelected");
    }

    function EndDate_DateSelected(sender, args) {
        alert("EndDate_DateSelected");
    }
    function EndTime_DateSelected(sender, args) {
        alert("EndTime_DateSelected");
    }

    function Button_click() {
        var datepicker = $find("StartDate");
        debugger;
    }
</script>		
</asp:Content>
